Bug 197933 - specfile places include files in /usr/include/pqxx/, pqxx-config thinks they are in /usr/include/
specfile places include files in /usr/include/pqxx/, pqxx-config thinks they ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libpqxx (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 10:11 EDT by Curt Hastings
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 06:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The attached patch file, applied to the specfile, fixes the problem. (49 bytes, patch)
2006-07-07 10:11 EDT, Curt Hastings
no flags Details | Diff

  None (edit)
Description Curt Hastings 2006-07-07 10:11:02 EDT
Description of problem:

The specfile incorrectly places an additional pqxx directory in the path to the
main pqxx include file, which should be /usr/include/pqxx/pqxx.  Code such as

#include <pqxx/pqxx>

....

Should be possible to compile with

gcc -I`pqxx-config --cflags`

but does not.

Version-Release number of selected component (if applicable):

http://download.fedora.redhat.com/pub/fedora/linux/extras/5/SRPMS/libpqxx-2.6.6-1.fc5.src.rp

(and binaries built from the same)

How reproducible:

cd /usr/src/redhat/SPECS
rpmbuild --bb libpqxx.spec

The attached patch fixes the problem.
After making the change:

rpmbuild --bb libpqxx.spec
rpm -qlp /usr/src/redhat/RPMS/i386/libpqxx-devel-2.6.6-1.i386.rpm 
/usr/bin/pqxx-config
/usr/include
/usr/include/pqxx
/usr/include/pqxx/all.h
/usr/include/pqxx/basic_connection
/usr/include/pqxx/basic_connection.hxx

etc...
Comment 1 Curt Hastings 2006-07-07 10:11:02 EDT
Created attachment 132051 [details]
The attached patch file, applied to the specfile, fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.